Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Class Err

    java.lang.Object
      net.sf.saxon.trans.Err

    public class Err

extends Object

Class containing utility methods for handling error messages

Field Summary
`static int` | `ATTRIBUTE`
`static int` | `ELEMENT`
`static int` | `FUNCTION`
`static int` | `GENERAL`
`static int` | `URI`
`static int` | `VALUE`
`static int` | `VARIABLE`

Constructor Summary
`Err()`

Method Summary
`static CharSequence` | `depict(Item item)` Create a string representation of an item for use in an error message
`static String` | `wrap(CharSequence cs)` Add delimiters to represent variable information within an error message
`static String` | `wrap(CharSequence cs, int valueType)` Add delimiters to represent variable information within an error message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT

    public static final int ELEMENT

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final int ATTRIBUTE

See Also:
  Constant Field Values

### FUNCTION

    public static final int FUNCTION

See Also:
  Constant Field Values

### VALUE

    public static final int VALUE

See Also:
  Constant Field Values

### VARIABLE

    public static final int VARIABLE

See Also:
  Constant Field Values

### GENERAL

    public static final int GENERAL

See Also:
  Constant Field Values

### URI

    public static final int URI

See Also:
  Constant Field Values

Constructor Detail

### Err

    public Err()

Method Detail

### wrap

    public static String wrap(CharSequence cs)

  Add delimiters to represent variable information within an error message

  Parameters:
    `cs` - the variable information to be delimited
  Returns:
    the delimited variable information

### wrap

    public static String wrap(CharSequence cs,
                              int valueType)

  Add delimiters to represent variable information within an error message

  Parameters:
    `cs` - the variable information to be delimited
    `valueType` - the type of value, e.g. element name or attribute name
  Returns:
    the delimited variable information

### depict

    public static CharSequence depict(Item item)

  Create a string representation of an item for use in an error message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.